Subject: bug#35875: Guix won't boot after installation with fully encrypted disk

From: Reg <[email-masked]>
Date: Sat, 28 Mar 2020 22:39:28 +0100

Hi Florian,

Thank you very much for getting back to me! CSM legacy support was 
already enabled on my ThinkPad but guess what.. *Disabling* it fixed the 
problem! My computer is booting without issues now with a fully 
encrypted disk.

Thank you so much!

Best regards,
Reg

On 2020-03-28 13:42, pelzflorian (Florian Pelz) wrote:
> Hello Reg!
> 
> On Thu, May 23, 2019 at 11:41:40PM +0200, Reg wrote:
>> Guix won't boot on my ThinkPad T430 after an installation with fully
>> encrypted disk:
> 
> A friend had an issue that looked similar on an HP laptop (no
> Thinkpad) in Guix System.  GRUB got stuck either after entering the
> encryption key or, without encryption, when booting Guix.  The
> resolution was to enable CSM Legacy Support in the UEFI/BIOS settings
> (even though it is a grub-efi-bootloader install).  Maybe this is
> something to try if you or someone else has such an issue again.
> 
> Regards,
> Florian
>